gi-gio-2.0.27: Gio bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gio.Objects.DBusObjectProxy

Contents

- Exported types
- Methods
  - Overloaded methods
  - getConnection
  - new
- Properties
  - gConnection
  - gObjectPath

Description

A `DBusObjectProxy` is an object used to represent a remote object with one or more D-Bus interfaces. Normally, you don't instantiate a `DBusObjectProxy` yourself - typically `DBusObjectManagerClient` is used to obtain it.

Since: 2.30

Synopsis

- newtype DBusObjectProxy = DBusObjectProxy (ManagedPtr DBusObjectProxy)
- class (GObject o, IsDescendantOf DBusObjectProxy o) => IsDBusObjectProxy o
- toDBusObjectProxy :: (MonadIO m, IsDBusObjectProxy o) => o -> m DBusObjectProxy
- dBusObjectProxyGetConnection :: (HasCallStack, MonadIO m, IsDBusObjectProxy a) => a -> m DBusConnection
- dBusObjectProxyNew :: (HasCallStack, MonadIO m, IsDBusConnection a) => a -> Text -> m DBusObjectProxy
- constructDBusObjectProxyGConnection :: (IsDBusObjectProxy o, MonadIO m, IsDBusConnection a) => a -> m (GValueConstruct o)
- getDBusObjectProxyGConnection :: (MonadIO m, IsDBusObjectProxy o) => o -> m (Maybe DBusConnection)
- constructDBusObjectProxyGObjectPath :: (IsDBusObjectProxy o, MonadIO m) => Text -> m (GValueConstruct o)
- getDBusObjectProxyGObjectPath :: (MonadIO m, IsDBusObjectProxy o) => o -> m (Maybe Text)

# Exported types

newtype DBusObjectProxy Source #

Memory-managed wrapper type.

Constructors

DBusObjectProxy (ManagedPtr DBusObjectProxy) |

#### Instances

Instances details

Eq DBusObjectProxy Source # |
Instance details Defined in GI.Gio.Objects.DBusObjectProxy Methods (==) :: DBusObjectProxy -> DBusObjectProxy -> Bool # (/=) :: DBusObjectProxy -> DBusObjectProxy -> Bool #
GObject DBusObjectProxy Source # |
Instance details Defined in GI.Gio.Objects.DBusObjectProxy
TypedObject DBusObjectProxy Source # |
Instance details Defined in GI.Gio.Objects.DBusObjectProxy Methods glibType :: IO GType Source #
ManagedPtrNewtype DBusObjectProxy Source # |
Instance details Defined in GI.Gio.Objects.DBusObjectProxy Methods toManagedPtr :: DBusObjectProxy -> ManagedPtr DBusObjectProxy Source #
IsGValue DBusObjectProxy Source # | Convert `DBusObjectProxy` to and from `GValue` with `toGValue` and `fromGValue`.
Instance details Defined in GI.Gio.Objects.DBusObjectProxy Methods toGValue :: DBusObjectProxy -> IO GValue Source # fromGValue :: GValue -> IO DBusObjectProxy Source #
HasParentTypes DBusObjectProxy Source # |
Instance details Defined in GI.Gio.Objects.DBusObjectProxy
type ParentTypes DBusObjectProxy Source # |
Instance details Defined in GI.Gio.Objects.DBusObjectProxy type ParentTypes DBusObjectProxy = '[Object, DBusObject]

class (GObject o, IsDescendantOf DBusObjectProxy o) => IsDBusObjectProxy o Source #

Type class for types which can be safely cast to `DBusObjectProxy`, for instance with `toDBusObjectProxy`.

#### Instances

Instances details

(GObject o, IsDescendantOf DBusObjectProxy o) => IsDBusObjectProxy o Source # |
Instance details Defined in GI.Gio.Objects.DBusObjectProxy

toDBusObjectProxy :: (MonadIO m, IsDBusObjectProxy o) => o -> m DBusObjectProxy Source #

Cast to `DBusObjectProxy`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

## Overloaded methods

## getConnection

dBusObjectProxyGetConnection Source #

Arguments

:: (HasCallStack, MonadIO m, IsDBusObjectProxy a) |
=> a | `proxy`: a `DBusObjectProxy`
-> m DBusConnection | Returns: A `DBusConnection`. Do not free, the object is owned by `proxy`.

Gets the connection that `proxy` is for.

Since: 2.30

## new

dBusObjectProxyNew Source #

Arguments

:: (HasCallStack, MonadIO m, IsDBusConnection a) |
=> a | `connection`: a `DBusConnection`
-> Text | `objectPath`: the object path
-> m DBusObjectProxy | Returns: a new `DBusObjectProxy`

Creates a new `DBusObjectProxy` for the given connection and object path.

Since: 2.30

# Properties

## gConnection

The connection of the proxy.

Since: 2.30

constructDBusObjectProxyGConnection :: (IsDBusObjectProxy o, MonadIO m, IsDBusConnection a) => a -> m (GValueConstruct o) Source #

Construct a `GValueConstruct` with valid value for the “`g-connection`” property. This is rarely needed directly, but it is used by `new`.

getDBusObjectProxyGConnection :: (MonadIO m, IsDBusObjectProxy o) => o -> m (Maybe DBusConnection) Source #

Get the value of the “`g-connection`” property. When overloading is enabled, this is equivalent to

    get dBusObjectProxy #gConnection

## gObjectPath

The object path of the proxy.

Since: 2.30

constructDBusObjectProxyGObjectPath :: (IsDBusObjectProxy o, MonadIO m) => Text -> m (GValueConstruct o) Source #

Construct a `GValueConstruct` with valid value for the “`g-object-path`” property. This is rarely needed directly, but it is used by `new`.

getDBusObjectProxyGObjectPath :: (MonadIO m, IsDBusObjectProxy o) => o -> m (Maybe Text) Source #

Get the value of the “`g-object-path`” property. When overloading is enabled, this is equivalent to

    get dBusObjectProxy #gObjectPath